<!DOCTYPE html>
<html>


<title>Benefits of Tai Chi</title>

<meta name="viewport" content="width=device-width" />


<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="description" content=<meta name="Benefits of Tai Chi" content= "Benefits of Tai Chi." />  
<meta name="keywords" content= "Benefits of Tai Chi, What are the benefits of Tai Chi, what is Tai Chi good for, Tai Chi Benefits, Gentle Exercise benefits, Relaxation, Benefits of New York Tai Chi, Tai Chi Classes Benefits, Benefits of Tai Chi exercise"/> 
<meta name="Author" content="Carolyn Campora - www.nabisu.com"> 
<meta name="google-site-verification" content="" />
<meta name="Robots" content="index,follow"> 
<meta name="Distribution" content="Global"> 
<meta name="verify-v1"  content="unique-string"> 
<meta name="Revisit-After" content="1 week" /> 
<link rel="shortcut icon" href="favicon.ico">
<link rel="stylesheet" href="NSTemplate.css" type="text/css" />

<div class="container">

<?php include("NScontainer.php"); ?>
    

<div class="header">
    
<?php include("NSheader.php"); ?>
    

</div>



  
  <!-- end .header --></header>
  
<div class="sidebar1">  
<br>
<br>    
 
<?php include("NSmenu.php"); ?>
<br />
            			
       
<!-- end .sidebar1 --></div>
<div class="content">




<h3>Benefits of Tai Chi</h3>

<p><a href="NSTCAbout.php" alt="What is Tai Chi?" title="What is Tai Chi?">Tai Chi</a> is a gentle, graceful, inspiring exercise that has been found to reduce blood pressure, improve balance and reduce falls.  It also increases overall toning, improves posture and circulation, increases flexibility and strength.
</p>

<p>The benefits of Tai Chi are so many that they are now commonly written about in the "Health" section of the New York Times. When a reader asked "Does tai chi help reduce the risk of heart disease?" the answer was "...tai chi can reduce certain cardiovascular risk factors, including reducing levels of total cholesterol and triglycerides, increasing levels of 'good' HDL cholesterol and slowing heart rate." The columnist Roni Caryn Rabin continued "One 1996 trial that randomly assigned 126 heart attack survivors to either a tai chi, an aerobic exercise or a non-exercise support group for eight weeks found improvements in both diastolic and systolic blood pressure (the top and bottom numbers) only in the tai chi group. Participants were also more likely to stick with the tai chi program over time."*  
</p>

<p>One other possible connection to Tai Chi and reduced heart disease might be the reduction of stress. Tai Chi is a gentle, stress reducing exercise. The BBC recently reported that a new study suggests that reducing stress reduces your heart attack risk. The new study, published in the Lancet, found that those with higher activity in the amygdala were more likely to develop cardiovascular disease - and sooner than others. (The amygdala is the part of the brain that prepares you for fight or flight, becoming activated by strong emotional reactions.) The researchers suggest that the amygdala signals to the bone marrow to produce extra white blood cells, which in turn act on the arteries causing them to become inflamed. This can then cause heart attacks, angina and strokes. It found that those who reported the highest levels of stress had the highest levels of amygdala activity and more evidence of inflammation in their blood and arteries. Stress could be as important a risk factor as smoking and high blood pressure, and heart experts said at-risk patients should be helped to manage stress. Dr Ahmed Tawakol, lead author and associate professor of medicine at Harvard Medical School, said: &#34;Eventually, chronic stress could be treated as an important risk factor for cardiovascular disease, which is routinely screened for and effectively managed like other major cardiovascular disease risk factors&#8230; Reducing stress could produce benefits that extend beyond an improved sense of psychological wellbeing&#8230; Our results provide a unique insight into how stress may lead to cardiovascular disease.&#34;**
</p>



<p>Tai Chi is proven to improve balance and help prevent falls. In "Steps to Avoid an Accident," Katie Hafner of the New York Times wrote "The regular practice of tai chi has also been found to help. Tai chi involves very slow, purposeful movements in coordination with breathing and muscle activity, which in turn affects respiration, balance, and gait." A retirement community in San Fransisco found that twice yearly 12-week Tai Chi courses improved the physical mobility of its seniors. Other retirement centers have found similar results. Hafner writes "Dr. Lewis A. Lipsitz, a professor of medicine at Harvard, said he saw similar results at two facilities run by Hebrew SeniorLife, where he is vice president of academic medicine. 'If only we could put tai chi in a pill,' he said."***
</p>

<p>The many emotional and spiritual benefits of practicing Tai Chi include calming, centering, focus, sense of control, energizing, inner joy and reduction of depression in the elderly.
</p>

<p>According to the January 2013 Mayo Clinic Health Letter, a small recent study of older adults who have practiced Tai Chi for at  least three years found that those doing Tai Chi had greater arterial elasticity and better knee muscle strength than did those in the control group. "Tai chi incorporates many stretching movements along with prolonged periods where body weight is supported from a semisquatting stance. Based on these initial findings, study investigators say Tai Chi may offer older adults a training option that promotes both muscle strength and vascular health.&#34;****
</p>

<p>Many chronic conditions have been shown to be helped by Tai Chi, including fibromyalgia, arthritis, depression. Blood vessel health and muscle strength may also be improved.
</p>

<p>Tai Chi may help people with Parkinson's disease.  As reported in The New England Journal of Medicine, &#34;Tai Chi training appears to reduce balance impairments in patients with mild-to-moderate Parkinson's disease, with additional benefits of improved functional capacity and reduced falls.&#34;*****
</p>

<p>Tai Chi also helps with depression. Tara Parker-Pope, writing for The New York Times, summarized a 2011 study as follows: &#34;After 10 weeks of tai chi, 94 percent of depressed older adults showed marked improvement on depression scales, compared with 77 percent in the health education group.... The tai chi group also showed marked improvement in measures of physical function, cognitive tests and blood tests measuring levels of inflammation.&#34;******
</p>    

<p>In a 2010 article from the New York Times, entitled &#34;A Downside to Tai Chi? None That I See,&#34; Jane Brody writes: &#34;After reviewing existing scientific evidence for its potential health benefits, I've concluded that the proper question to ask yourself may not be why you should practice tai chi, but why not.&#34;*******</p>

<p>If you could easily improve your well being and reduce your probability of having a serious medical emergency would you do it? And if the actions required were low cost, not very time consuming, emotionally and spiritually enriching, and pleasant, what could stop you from doing it?
</p>

<p>In our <a href="NSTCSchedule.php" alt="Tai Chi Classes" title="Tai Chi Classes">Tai Chi classes</a>, you will be taught so that, from the very first class, you will be able to gain Tai Chi's benefits with just a few moments of gentle practice each day. It is easy and enjoyable for you to learn Tai Chi at Tai Chi - New York.
</p>

<p>Now do your part. <a href="NSContactForm.php" alt="Contact Us" title="Contact Us">Contact</a> us now to give yourself this soothing gift. We offer you a free class. Your health is in your hands.
</p>    

<p>
____________________
<br>

<small>
* Rabin, Roni Caryn. "Ask Well: Tai Chi and Heart Disease." The New York Times, January 13, 2016, on-line edition, http://well.blogs.nytimes.com/2016/01/13/ask-well-tai-chi-and-heart-disease/?ref=health<br>
** BBC News. &#34;Brain Activity 'Key in Stress Link to Heart Disease' &#34; BBC News: Health,  January 12, 2017, on-line edition, http://www.bbc.com/news/health-38584975<br>
*** Hafner, Katie. &#34;Steps fo Avoid an Accident.&#34; The New York Times, November 3, 2014, Science Times: Health<br>
**** "Tai Chi and Blood Vessel Health in Older Adults."  Mayo Clinic Health Letter, Volume 31, Number 1, January 2013, p. 3<br>
***** Fuzhong Li, Ph.D., Peter Harmer, Ph.D., M.P.H., Kathleen Fitzgerald, M.D., Elizabeth Eckstrom, M.D., M.P.H., Ronald Stock, M.D., Johnny Galver, P.T., Gianni Maddalozzo, Ph.D., and Sara S. Batya, M.D. "Tai Chi and Postural Stability in Patients with Parkinson's Disease" The New England Journal of Medicine 2012; 366:511-519<br>
****** Parker-Pope, Tara. "Well, Tara Parker-Pope on Health: Tai Chi Eases Depression in Elderly." The New York Times, March 18, 2011, on-line edition, http://well.blogs.nytimes.com/2011/03/18/tai-chi-eases-depression-in-elderly/<br>
******* Brody, Jane E. "Personal Health: A Downside to Tai Chi? None That I Can See." The New York Times, September 28, 2010, Science Times, p. D-7
</small>
</p>


<!-- end .content --></div>

<div class="footer">
    
<?php include("NSfooter.php"); ?>


<!-- end .footer --></div>
<!-- end .container --></div>
</body>
</html>