<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * X-Cart
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the software license agreement
 * that is bundled with this package in the file LICENSE.txt.
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to licensing@x-cart.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not modify this file if you wish to upgrade X-Cart to newer versions
 * in the future. If you wish to customize X-Cart for your needs please
 * refer to http://www.x-cart.com/ for more information.
 *
 * @category  X-Cart 5
 * @author    Qualiteam software Ltd <info@x-cart.com>
 * @copyright Copyright (c) 2011-2013 Qualiteam software Ltd <info@x-cart.com>. All rights reserved
 * @link      http://www.x-cart.com/
 */

namespace XLite\Module\QSL\CallForPrice\View\ItemsList\Model;

/**
 * Product variants items list
 *
 * @LC_Dependencies("XC\ProductVariants")
 *
 */
class ProductVariant extends \XLite\Module\XC\ProductVariants\View\ItemsList\Model\ProductVariant
    implements \XLite\Base\IDecorator
{
    /**
     * Define columns structure
     *
     * @return array
     */
    protected function defineColumns()
    {
        $columns = parent::defineColumns();

        if ($this->getProduct()->isCallForPrice()) {

            $pos = isset($columns['price'][static::COLUMN_ORDERBY])
                ? ($columns['price'][static::COLUMN_ORDERBY] - 1)
                : 100;

            $columns['callForPrice'] = array(
                static::COLUMN_CLASS => 'XLite\Module\QSL\CallForPrice\View\FormField\Inline\Input\Checkbox\CallForPrice',
                static::COLUMN_EDIT_ONLY => true,
                static::COLUMN_PARAMS => array(),
                static::COLUMN_ORDERBY => $pos,
            );

            uasort($columns, array($this, 'sortColumnsByOrder'));
        }

        return $columns;
    }

    /**
     * Get a list of CSS files
     *
     * @return array
     */
    public function getCSSFiles()
    {
        $list = parent::getCSSFiles();
        $list[] = 'modules/QSL/CallForPrice/items_list/model/product_variant/styles.css';

        return $list;
    }

}
