/* vim: set ts=2 sw=2 sts=2 et: */

CommonForm.elementControllers.push(
    {
        pattern: '.line .cell.callForPrice',
        handler: function () {

            // Object to handle the custom switcher behavior
            var processMatchedSwitcher = function(element) {

                // We wrap these variables to make them local per widget, but not shared between all widget handlers
                var row = jQuery(element).parents('.line').eq(0);
                var widget = jQuery('.input-checkbox-callforpriceswitcher', element);
                var widgetParams = core.getCommentedData(widget);
                var checkbox = jQuery(':checkbox', widget);
                var input = jQuery('.cell.price .input-text-price input', row);
                var placeholder = input.attr('placeholder');
                var value = input.val();

                // onChange event handler
                var updatePriceField = function () {
                    if (checkbox.prop('checked')) {
                        input.prop('disabled', true);
                        input.attr('placeholder', widgetParams.callForPriceText);
                        value = input.val();
                        input.val('');
                    } else {
                        input.prop('disabled', false);
                        input.attr('placeholder', placeholder);
                        input.val(value);
                    }
                };

                // Update the matched element manually on the initialization
                updatePriceField();

                // Assign the onChange handler for further updating of the matched element
                checkbox.change(updatePriceField);

            };

            // Process the matched element
            processMatchedSwitcher(this);

        }
    }
);
