/* vim: set ts=2 sw=2 sts=2 et: */

/**
 * Sale widget controller
 *
 * @author    Qualiteam software Ltd <info@x-cart.com>
 * @copyright Copyright (c) 2011-2015 Qualiteam software Ltd <info@x-cart.com>. All rights reserved
 * @license   http://www.x-cart.com/license-agreement.html X-Cart 5 License Agreement
 * @link      http://www.x-cart.com/
 */

jQuery(function () {
  jQuery('#submit-button').click(function () {
    var message = {
      message: 'submitPaymentForm',
      params:  {}
    };

    var iframe = jQuery('#add_new_card_iframe').get(0);

    if (window.postMessage && window.JSON) {
      iframe.contentWindow.postMessage(JSON.stringify(message), '*');
    }
  });

  jQuery(window).on('message', function(event) {
    var msg = getXpcIframeEventDataObject(event);

    if (!checkXpcIframeMessage(msg)) {
      return;
    }

    if ('showMessage' == msg.message) {
      var url = URLHandler.buildURL({ 'target': 'xpc_popup', 'type': XPC_IFRAME_DO_NOTHING, 'message': escape(msg.params.text) });
      popup.load(url);
      return;
    }

    var type = parseInt(msg.params.type);
    var message = msg.params.error;

    if (message
      && XPC_IFRAME_DO_NOTHING != type
    ) {
      if (XPC_IFRAME_TOP_MESSAGE == type) {
        core.trigger('message', { 'message': message, 'type': MESSAGE_ERROR });

      } else {
        jQuery('#add_new_card_iframe_container').hide();

        var url = URLHandler.buildURL({ 'target': 'xpc_popup', 'type': type, 'message': escape(message) });

        popup.load(url);
      }
    }
  });
});
